is_detached {git2r} | R Documentation

## Check if HEAD of repository is detached

### Description

Check if HEAD of repository is detached

### Usage

    is_detached(repo = ".")

### Arguments

`repo` | a path to a repository or a `git_repository` object. Default is '.'

### Value

`TRUE` if repository HEAD is detached, else `FALSE`.

### Examples

    ## Not run:
    ## Create and initialize a repository in a temporary directory
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)
    config(repo, user.name="Alice", user.email="alice@example.org")

    ## Create a file, add and commit
    writeLines("Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do",
               file.path(path, "example.txt"))
    add(repo, "example.txt")
    commit_1 <- commit(repo, "Commit message 1")

    ## Change file, add and commit
    writeLines(c("Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do",
                 "eiusmod tempor incididunt ut labore et dolore magna aliqua."),
                 file.path(path, "example.txt"))
    add(repo, "example.txt")
    commit(repo, "Commit message 2")

    ## HEAD of repository is not detached
    is_detached(repo)

    ## Checkout first commit
    checkout(commit_1)

    ## HEAD of repository is detached
    is_detached(repo)

    ## End(Not run)

[Package git2r version 0.23.0 Index]